<!DOCTYPE html>
<html lang="en-US">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <title>1) Install needed software | Airflow / Great Expectations Demo</title>
    <meta name="generator" content="VuePress 1.9.5">
    
    <meta name="description" content=" ">
    <meta name="theme-color" content="#3eaf7c">
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-status-bar-style" content="black">
    
    <link rel="preload" href="/eli-mayost/ge_demo/assets/css/0.styles.772bdb50.css" as="style"><link rel="preload" href="/eli-mayost/ge_demo/assets/js/app.6eb4a1b0.js" as="script"><link rel="preload" href="/eli-mayost/ge_demo/assets/js/2.ae6169f7.js" as="script"><link rel="preload" href="/eli-mayost/ge_demo/assets/js/13.c75c5dbb.js" as="script"><link rel="prefetch" href="/eli-mayost/ge_demo/assets/js/10.7e4bea17.js"><link rel="prefetch" href="/eli-mayost/ge_demo/assets/js/11.f761ac56.js"><link rel="prefetch" href="/eli-mayost/ge_demo/assets/js/12.c59416a7.js"><link rel="prefetch" href="/eli-mayost/ge_demo/assets/js/14.1a3f9225.js"><link rel="prefetch" href="/eli-mayost/ge_demo/assets/js/3.6130d452.js"><link rel="prefetch" href="/eli-mayost/ge_demo/assets/js/4.d7e3b333.js"><link rel="prefetch" href="/eli-mayost/ge_demo/assets/js/5.29b68dfd.js"><link rel="prefetch" href="/eli-mayost/ge_demo/assets/js/6.3cf72510.js"><link rel="prefetch" href="/eli-mayost/ge_demo/assets/js/7.b65e3af6.js"><link rel="prefetch" href="/eli-mayost/ge_demo/assets/js/8.5e2e2059.js"><link rel="prefetch" href="/eli-mayost/ge_demo/assets/js/9.a996bbec.js">
    <link rel="stylesheet" href="/eli-mayost/ge_demo/assets/css/0.styles.772bdb50.css">
  </head>
  <body>
    <div id="app" data-server-rendered="true"><div class="theme-container"><header class="navbar"><div class="sidebar-button"><svg xmlns="http://www.w3.org/2000/svg" aria-hidden="true" role="img" viewBox="0 0 448 512" class="icon"><path fill="currentColor" d="M436 124H12c-6.627 0-12-5.373-12-12V80c0-6.627 5.373-12 12-12h424c6.627 0 12 5.373 12 12v32c0 6.627-5.373 12-12 12zm0 160H12c-6.627 0-12-5.373-12-12v-32c0-6.627 5.373-12 12-12h424c6.627 0 12 5.373 12 12v32c0 6.627-5.373 12-12 12zm0 160H12c-6.627 0-12-5.373-12-12v-32c0-6.627 5.373-12 12-12h424c6.627 0 12 5.373 12 12v32c0 6.627-5.373 12-12 12z"></path></svg></div> <a href="/eli-mayost/ge_demo/" class="home-link router-link-active"><!----> <span class="site-name">Airflow / Great Expectations Demo</span></a> <div class="links"><!----> <!----></div></header> <div class="sidebar-mask"></div> <aside class="sidebar"><!---->  <ul class="sidebar-links"><li><a href="/eli-mayost/ge_demo/overview/" class="sidebar-link">Overview</a></li><li><a href="/eli-mayost/ge_demo/concepts/" class="sidebar-link">Concepts</a></li><li><a href="/eli-mayost/ge_demo/setup/" aria-current="page" class="active sidebar-link">Setup</a><ul class="sidebar-sub-headers"></ul></li><li><a href="/eli-mayost/ge_demo/steps/" class="sidebar-link">Pipeline steps</a></li><li><a href="/eli-mayost/ge_demo/run/" class="sidebar-link">Run pipeline</a></li><li><a href="/eli-mayost/ge_demo/results/" class="sidebar-link">Results</a></li></ul> </aside> <main class="page"> <div class="theme-default-content content__default"><h3 id="_1-install-needed-software"><a href="#_1-install-needed-software" class="header-anchor">#</a> 1) Install needed software</h3> <ul><li><a href="https://www.docker.com/" target="_blank" rel="noopener noreferrer">Docker<span><svg xmlns="http://www.w3.org/2000/svg" aria-hidden="true" focusable="false" x="0px" y="0px" viewBox="0 0 100 100" width="15" height="15" class="icon outbound"><path fill="currentColor" d="M18.8,85.1h56l0,0c2.2,0,4-1.8,4-4v-32h-8v28h-48v-48h28v-8h-32l0,0c-2.2,0-4,1.8-4,4v56C14.8,83.3,16.6,85.1,18.8,85.1z"></path> <polygon fill="currentColor" points="45.7,48.7 51.3,54.3 77.2,28.5 77.2,37.2 85.2,37.2 85.2,14.9 62.8,14.9 62.8,22.9 71.5,22.9"></polygon></svg> <span class="sr-only">(opens new window)</span></span></a> or <a href="https://podman.io/" target="_blank" rel="noopener noreferrer">Podman<span><svg xmlns="http://www.w3.org/2000/svg" aria-hidden="true" focusable="false" x="0px" y="0px" viewBox="0 0 100 100" width="15" height="15" class="icon outbound"><path fill="currentColor" d="M18.8,85.1h56l0,0c2.2,0,4-1.8,4-4v-32h-8v28h-48v-48h28v-8h-32l0,0c-2.2,0-4,1.8-4,4v56C14.8,83.3,16.6,85.1,18.8,85.1z"></path> <polygon fill="currentColor" points="45.7,48.7 51.3,54.3 77.2,28.5 77.2,37.2 85.2,37.2 85.2,14.9 62.8,14.9 62.8,22.9 71.5,22.9"></polygon></svg> <span class="sr-only">(opens new window)</span></span></a> for RHEL</li> <li>Local Kubernetes cluster (using <a href="https://minikube.sigs.k8s.io/docs/" target="_blank" rel="noopener noreferrer">Minikube<span><svg xmlns="http://www.w3.org/2000/svg" aria-hidden="true" focusable="false" x="0px" y="0px" viewBox="0 0 100 100" width="15" height="15" class="icon outbound"><path fill="currentColor" d="M18.8,85.1h56l0,0c2.2,0,4-1.8,4-4v-32h-8v28h-48v-48h28v-8h-32l0,0c-2.2,0-4,1.8-4,4v56C14.8,83.3,16.6,85.1,18.8,85.1z"></path> <polygon fill="currentColor" points="45.7,48.7 51.3,54.3 77.2,28.5 77.2,37.2 85.2,37.2 85.2,14.9 62.8,14.9 62.8,22.9 71.5,22.9"></polygon></svg> <span class="sr-only">(opens new window)</span></span></a>)</li> <li>Easy management of the cluster (using <a href="https://k9scli.io/" target="_blank" rel="noopener noreferrer">k9s<span><svg xmlns="http://www.w3.org/2000/svg" aria-hidden="true" focusable="false" x="0px" y="0px" viewBox="0 0 100 100" width="15" height="15" class="icon outbound"><path fill="currentColor" d="M18.8,85.1h56l0,0c2.2,0,4-1.8,4-4v-32h-8v28h-48v-48h28v-8h-32l0,0c-2.2,0-4,1.8-4,4v56C14.8,83.3,16.6,85.1,18.8,85.1z"></path> <polygon fill="currentColor" points="45.7,48.7 51.3,54.3 77.2,28.5 77.2,37.2 85.2,37.2 85.2,14.9 62.8,14.9 62.8,22.9 71.5,22.9"></polygon></svg> <span class="sr-only">(opens new window)</span></span></a>)</li> <li><a href="https://rclone.org/" target="_blank" rel="noopener noreferrer">Rclone<span><svg xmlns="http://www.w3.org/2000/svg" aria-hidden="true" focusable="false" x="0px" y="0px" viewBox="0 0 100 100" width="15" height="15" class="icon outbound"><path fill="currentColor" d="M18.8,85.1h56l0,0c2.2,0,4-1.8,4-4v-32h-8v28h-48v-48h28v-8h-32l0,0c-2.2,0-4,1.8-4,4v56C14.8,83.3,16.6,85.1,18.8,85.1z"></path> <polygon fill="currentColor" points="45.7,48.7 51.3,54.3 77.2,28.5 77.2,37.2 85.2,37.2 85.2,14.9 62.8,14.9 62.8,22.9 71.5,22.9"></polygon></svg> <span class="sr-only">(opens new window)</span></span></a></li> <li>The Gihub repo <a href="https://github.kyndryl.net/eli-mayost/ge_demo.git" target="_blank" rel="noopener noreferrer">here<span><svg xmlns="http://www.w3.org/2000/svg" aria-hidden="true" focusable="false" x="0px" y="0px" viewBox="0 0 100 100" width="15" height="15" class="icon outbound"><path fill="currentColor" d="M18.8,85.1h56l0,0c2.2,0,4-1.8,4-4v-32h-8v28h-48v-48h28v-8h-32l0,0c-2.2,0-4,1.8-4,4v56C14.8,83.3,16.6,85.1,18.8,85.1z"></path> <polygon fill="currentColor" points="45.7,48.7 51.3,54.3 77.2,28.5 77.2,37.2 85.2,37.2 85.2,14.9 62.8,14.9 62.8,22.9 71.5,22.9"></polygon></svg> <span class="sr-only">(opens new window)</span></span></a></li></ul> <h3 id="_2-files-to-create-locally-mainly-env-and-secrets-not-to-be-pushed-to-the-repo"><a href="#_2-files-to-create-locally-mainly-env-and-secrets-not-to-be-pushed-to-the-repo" class="header-anchor">#</a> 2) Files to create locally (mainly .env and secrets not to be pushed to the repo)</h3> <h4 id="k8-catalyst-dev-user-secret-yaml"><a href="#k8-catalyst-dev-user-secret-yaml" class="header-anchor">#</a> k8/catalyst-dev-user-secret.yaml</h4> <p>Fill in base64 encoded string for dbuser and dbpass.</p> <div class="language-yaml extra-class"><pre class="language-yaml"><code><span class="token key atrule">apiVersion</span><span class="token punctuation">:</span> v1
<span class="token key atrule">kind</span><span class="token punctuation">:</span> Secret
<span class="token key atrule">metadata</span><span class="token punctuation">:</span>
  <span class="token key atrule">name</span><span class="token punctuation">:</span> catalyst<span class="token punctuation">-</span>dev<span class="token punctuation">-</span>user<span class="token punctuation">-</span>secret
<span class="token key atrule">data</span><span class="token punctuation">:</span>
  <span class="token key atrule">dbhost</span><span class="token punctuation">:</span> xxxxxxxxxx 
  <span class="token key atrule">dbport</span><span class="token punctuation">:</span> xxxxxxxxxx 
  <span class="token key atrule">dbuser</span><span class="token punctuation">:</span> xxxxxxxxxx 
  <span class="token key atrule">dbpass</span><span class="token punctuation">:</span> xxxxxxxxxx 
  <span class="token key atrule">dbname</span><span class="token punctuation">:</span> xxxxxxxxxx 
</code></pre></div><h4 id="k8s-git-sync-ssh-secret-yaml"><a href="#k8s-git-sync-ssh-secret-yaml" class="header-anchor">#</a> k8s/git-sync-ssh-secret.yaml</h4> <p>Generate a ssh key:</p> <div class="language-bash extra-class"><pre class="language-bash"><code>ssh-keygen -t rsa
</code></pre></div><p>Base64 encode the public key:</p> <div class="language-bash extra-class"><pre class="language-bash"><code>base64 ~/.ssh/<span class="token punctuation">[</span>KEYNAME<span class="token punctuation">]</span>.pub
</code></pre></div><p>Copy the string to the secret:</p> <div class="language-yaml extra-class"><pre class="language-yaml"><code><span class="token key atrule">apiVersion</span><span class="token punctuation">:</span> v1
<span class="token key atrule">kind</span><span class="token punctuation">:</span> Secret
<span class="token key atrule">metadata</span><span class="token punctuation">:</span>
  <span class="token key atrule">name</span><span class="token punctuation">:</span> git<span class="token punctuation">-</span>sync<span class="token punctuation">-</span>ssh<span class="token punctuation">-</span>secret
<span class="token key atrule">data</span><span class="token punctuation">:</span>
  <span class="token key atrule">gitSshKey</span><span class="token punctuation">:</span> xxxxxxxxxx 
</code></pre></div><h4 id="k8s-cos-user-secret-yaml"><a href="#k8s-cos-user-secret-yaml" class="header-anchor">#</a> k8s/cos-user-secret.yaml</h4> <p>Fill in the details of the COS bucket to be used for uploading the reports.</p> <div class="language-yaml extra-class"><pre class="language-yaml"><code><span class="token key atrule">apiVersion</span><span class="token punctuation">:</span> v1
<span class="token key atrule">kind</span><span class="token punctuation">:</span> Secret
<span class="token key atrule">metadata</span><span class="token punctuation">:</span>
  <span class="token key atrule">name</span><span class="token punctuation">:</span> cos<span class="token punctuation">-</span>user<span class="token punctuation">-</span>secret
<span class="token key atrule">data</span><span class="token punctuation">:</span>
  <span class="token key atrule">cos_endpoint</span><span class="token punctuation">:</span> xxxxxxxxxx 
  <span class="token key atrule">cos_key</span><span class="token punctuation">:</span> xxxxxxxxxx 
  <span class="token key atrule">cos_secret</span><span class="token punctuation">:</span> xxxxxxxxxx 
  <span class="token key atrule">cos_bucket</span><span class="token punctuation">:</span> xxxxxxxxxx 
</code></pre></div><h3 id="_3-create-local-cluster"><a href="#_3-create-local-cluster" class="header-anchor">#</a> 3) Create local cluster</h3> <div class="custom-block tip"><p class="custom-block-title">TIP</p> <p>Change the parameters in the Makefile to suit your machine.</p></div> <div class="language-bash extra-class"><pre class="language-bash"><code><span class="token function">make</span> start-cluster 
</code></pre></div><p>Apply secrets.</p> <div class="language-bash extra-class"><pre class="language-bash"><code><span class="token function">make</span> apply-secrets
</code></pre></div><p>Deploy airflow.</p> <div class="language-bash extra-class"><pre class="language-bash"><code><span class="token function">make</span> deploy-airflow
</code></pre></div><div class="custom-block danger"><p class="custom-block-title">DANGER</p> <p>Once you login with the default admin user, create yourself an account, and delete the admin account.</p></div> <h3 id="_4-create-catalyst-database"><a href="#_4-create-catalyst-database" class="header-anchor">#</a> 4) Create catalyst database</h3> <p>Forward the port of the postgresql database to be able to access it locally:</p> <div class="language-bash extra-class"><pre class="language-bash"><code>kubectl port-forward svc/airflow-postgresql <span class="token number">5432</span>:5432
</code></pre></div><p>Connect and create the catalyst database:</p> <div class="language-bash extra-class"><pre class="language-bash"><code>postgresql -h localhost -U postgres
</code></pre></div><div class="language-sql extra-class"><pre class="language-sql"><code><span class="token keyword">CREATE</span> <span class="token keyword">DATABASE</span> catalyst<span class="token punctuation">;</span>
</code></pre></div></div> <footer class="page-edit"><!----> <!----></footer> <div class="page-nav"><p class="inner"><span class="prev">
      ←
      <a href="/eli-mayost/ge_demo/concepts/" class="prev">
        Concepts
      </a></span> <span class="next"><a href="/eli-mayost/ge_demo/steps/">
        Pipeline steps
      </a>
      →
    </span></p></div> </main></div><div class="global-ui"></div></div>
    <script src="/eli-mayost/ge_demo/assets/js/app.6eb4a1b0.js" defer></script><script src="/eli-mayost/ge_demo/assets/js/2.ae6169f7.js" defer></script><script src="/eli-mayost/ge_demo/assets/js/13.c75c5dbb.js" defer></script>
  </body>
</html>
